#
# Conditional build:
%bcond_without	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Warn
Summary:	Test::Warn - Perl extension to test methods for warnings
Summary(pl.UTF-8):	Test::Warn - rozszerzenie Perla do testowania metod pod kątem ostrzeżeń
Name:		perl-Test-Warn
Version:	0.30
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8306b998a96d2cc69266b5248d550472
URL:		http://search.cpan.org/dist/Test-Warn/
%if %{with tests}
BuildRequires:	perl(Carp) >= 1.22
BuildRequires:	perl-Sub-Uplevel >= 0.12
BuildRequires:	perl(Test::Builder) >= 0.13
BuildRequires:	perl(Test::Builder::Tester) >= 1.02
BuildRequires:	perl-Tree-DAG_Node >= 1.02
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl(Test::Builder) >= 0.13
Requires:	perl-Tree-DAG_Node >= 1.02
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a few convenience methods for testing warning
based code.

%description -l pl.UTF-8
Ten moduł udostępnia kilka wygodnych metod, przydatnych przy
testowaniu kodu, opartego na ostrzeżeniach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Test/Warn.pm
%{_mandir}/man3/Test::Warn.3pm*
%changelog
* Sat Jul 25 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Test-Warn.git;a=log;h=master

* Mon Mar 02 2015 Jakub Bogusz <qboosh@pld-linux.org> ceff144
- updated to 0.30

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> e2eaf1a
- release 2 (by relup.sh)

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> c2f30f3
- removed BRs provided by perl-modules and perl-base

* Sat Jun 02 2012 Jakub Bogusz <qboosh@pld-linux.org> d6215c4
- updated to 0.24

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> a50f89c
- up to 0.23

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 8890a44
- updated to 0.22

* Sun May 16 2010 sparky <sparky@pld-linux.org> f54c537
- BR: unzip

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 667a0fe
- updated to 0.21
- Source0 URL changed

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> f5d7e4f
- up to 0.11

* Sun Dec 30 2007 zbyniu <zbyniu@pld-linux.org> cf58635
- up to 0.10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 96c0370
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 33b6992
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 51f9637
- enable tests by default

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 05f4f08
- generic URL, readable files

* Thu Aug 24 2006 radek <radek@pld-linux.org> 423f2ed
- release 2: R: perl-Tree-DAG_Node

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ca7de46
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 3f2e299
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> 74f8779
- license fixes, cosmetics

* Sat Nov 01 2003 Jakub Bogusz <qboosh@pld-linux.org> 460645a
- pl summary, cosmetics

* Tue Oct 07 2003 migo <migo@pld-linux.org> 03dbc08
- removed bogus summaries
- tests bcond
- added BRs, cosmetics

